﻿<Project Sdk="Microsoft.NET.Sdk.Web">

	<PropertyGroup>
		<TargetFramework>net8.0</TargetFramework>
		<Nullable>enable</Nullable>
		<ImplicitUsings>enable</ImplicitUsings>
		<DockerDefaultTargetOS>Linux</DockerDefaultTargetOS>
		<DockerComposeProjectPath>..\docker-compose.dcproj</DockerComposeProjectPath>
	</PropertyGroup>

	<ItemGroup>
		<PackageReference Include="MassTransit.RabbitMQ" Version="8.2.3" />
		<PackageReference Include="AutoMapper" Version="13.0.1" />
		<PackageReference Include="Microsoft.AspNetCore.Authentication.JwtBearer" Version="8.0.6" />
		<PackageReference Include="Microsoft.EntityFrameworkCore" Version="8.0.4" />
		<PackageReference Include="Microsoft.EntityFrameworkCore.Design" Version="8.0.4">
			<PrivateAssets>all</PrivateAssets>
			<IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
		</PackageReference>
		<PackageReference Include="Microsoft.EntityFrameworkCore.Tools" Version="8.0.4">
			<PrivateAssets>all</PrivateAssets>
			<IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
		</PackageReference>
		<PackageReference Include="Microsoft.VisualStudio.Azure.Containers.Tools.Targets" Version="1.19.6" />
		<PackageReference Include="Npgsql.EntityFrameworkCore.PostgreSQL" Version="8.0.4" />
		<PackageReference Include="Swashbuckle.AspNetCore" Version="6.4.0" />
		<PackageReference Include="System.IdentityModel.Tokens.Jwt" Version="7.5.1" />
		<PackageReference Include="Welldone.Identity.Configuration" Version="1.0.1" />
	</ItemGroup>

	<ItemGroup>
		<ProjectReference Include="..\..\..\..\welldone.globalsolution\GlobalSolution.ServiceDefaults\GlobalSolution.ServiceDefaults.csproj" />
		<ProjectReference Include="..\IdentityService.Interfaces\IdentityService.Interfaces.csproj" />
		<ProjectReference Include="..\IdentityService.UseCases\IdentityService.UseCases\IdentityService.UseCases.csproj" />
	</ItemGroup>

</Project>
